import java.awt.event.*;
import javax.swing.*;
import java.awt.*;
import java.applet.Applet;

/** TP 4
 * Classe qui construit une fenetre avec plusieurs
 * boutons : Favorable, defavorable
 * et 2 libelles
 *  David MONTET  Groupe 3b
 */
class MaFen extends JFrame
{
     //--> Boutons de la fenetre
     private JButton bFavorable;
     private JButton bDefavorable;
     private JButton bQuitter;
     
    //--> Zone d'affichage de texte
     private JLabel lQuestion;
     private JLabel lSondage;

    //--> Application de sondage   
     private QuestionOuiNon appli;
     
     //
     private MaFenP fenPrincip;
     
    //MaFen permet de construire une fenetre a partir 
    // d'un titre: titre de la fenetre
    // de l'aplpication appliQues
    
    public MaFen ( String titre, QuestionOuiNon appliQues )
    {
        super (titre);
        //Enregistrement de l'application de sondage
        appli = appliQues;
        Container content;
        MaFenEcouteur ef;
       
        //Definition de la fenetre
        this.setBounds ( 400,300,350,130 );
        this.setResizable ( false );
        
        //**  Creation des composants  ***
       
        //Instanciation des tiquettes
 //       System.out.println("Intitule q dans MaFen "+appliQues.getQuestion());
        lQuestion = new JLabel ("Ca va ?");
        lSondage = new JLabel (" ");
        
        //Instanciation  des 3 boutons
        bFavorable  = new JButton ("Favorable");
        bDefavorable = new JButton ("Defavorable");
        bQuitter = new JButton ("Quitter");
            
        //Position des boutons sur l'ecran
        //On utilise 3 JPanel : pHaut, pCenter, PBas
        //Dans pBas, on utilise un grid Layout  1 ligne et 3 colonnes
       JPanel pHaut,pCentre,pBas;
       
       pHaut = new JPanel ();
       pHaut.setLayout ( new FlowLayout() );
       pHaut.add ( lQuestion );
       
       pCentre = new JPanel( );
       pCentre.setLayout ( new FlowLayout() );
       pCentre.add ( lSondage );      
       
       pBas = new JPanel( );
       pBas.setLayout ( new GridLayout(1,3) );
       pBas.add ( bFavorable ); // col 1 
       pBas.add (bDefavorable ); //col 2
       pBas.add ( bQuitter ); //col 3
   
       content = this.getContentPane ();  //par dfaut, BorderLayout
       content.add ( pHaut,BorderLayout.NORTH);
       content.add ( pCentre, BorderLayout.CENTER);
       content.add ( pBas, BorderLayout.SOUTH);
       
        //Preparation des gestionnaires d'evenements
        EcouteurFavorable eFavorable = new EcouteurFavorable ( this, bFavorable);
        bFavorable.addActionListener (eFavorable);
   
        EcouteurDefavorable eDefavorable = new EcouteurDefavorable ( this, bDefavorable);
        bDefavorable.addActionListener (eDefavorable);
        
        EcouteurQuitter eQuitter = new EcouteurQuitter ( this,bQuitter);
        bQuitter.addActionListener (eQuitter);
       
   } 
   //retourne l'application chrono
   public QuestionOuiNon getAppli ()
   {
     return appli;
   }
 
   public JLabel getlQuestion ()
   {
      return lQuestion;
   }
   public JLabel getlSondage ()
   {
      return lSondage;
   }
   public JButton getFavorable ()
   {
      return bFavorable;
   }
   public JButton getDefavorable ()
   {
     return bDefavorable;
   }
   
  
}
