import java.awt.event.*;
import javax.swing.*;
import java.awt.*;

/*
 * Classe qui implemente le listener du bouton cration du sondage
 *  Cette classe verifie toute les saisies de la fenetre principale
 *  et affiche des boites de dialogues pour chaque cas
 */
class EcouteurCreer implements ActionListener
{
  private  MaFenP laFen;
  
  private String laQuestion;
  
  private int nbOui;
  private int nbNon;
  
  //resultat des listes ==> texte des boutons
  private String libelleOui;
  private String libelleNon;
  
  private QuestionOuiNon ap;
  
  //CONSTRUCTEUR
  public EcouteurCreer ( MaFenP f )
  {
      laFen = f;
  }
    
  public void actionPerformed ( ActionEvent e )  
  {
    //Gestion des exceptions
    try
     {
        nbOui = Integer.parseInt ( laFen.getNbQuestionFavorableSaisie() );
        nbNon = Integer.parseInt ( laFen.getNbQuestionDefavorableSaisie() );
     }
    catch (NumberFormatException fe )
    {
       JOptionPane.showMessageDialog(laFen,"Le FORMAT du nombre de rponses doit tre des entiers");
       return;
    }
   
    //* ***   CREATION DU SONDAGE
   laQuestion = laFen.getQuestionSaisie();
   libelleOui = laFen.getSelectlFav();
   libelleNon = laFen.getSelectlDefav();

   //Test de champ de saisie vide
   if ( laQuestion.compareTo("") == 0 )
   {
      JOptionPane.showMessageDialog(laFen,"Veuillez saisir un intitule de question ");    
   }
   else
   {
     //Test d'un des elements des listes ditables
     if (libelleOui.compareTo("") == 0)
     {
       String s1 = laFen.getLibellePos();
       JOptionPane.showMessageDialog(laFen,"Le choix de la liste '" + s1 + "' est vide");       
     }
     else
     {
        if ( libelleNon.compareTo("") == 0 )
        { 
           String s2 = laFen.getLibelleNeg();
           JOptionPane.showMessageDialog(laFen,"Le champs de liste '" + s2 + "' est vide");             
        }
         else
         {
             if ( nbOui<0 || nbNon <0 )
             {
                    JOptionPane.showMessageDialog(laFen,"Le noombre de rponse doit etre POSITIF ou nul");   
             }
             else
             {             
              ap = new QuestionOuiNon (laQuestion,nbOui,nbNon,laFen.getSelectlFav(),laFen.getSelectlDefav());
              MaFen f ;
              f = new MaFen ("Sondage",ap);
              f.getFavorable().setText(libelleOui);
              f.getDefavorable().setText(libelleNon);
              f.getlQuestion().setText(laQuestion);
              //Affichage de la fenetre secondaire       
              f.setVisible(true);               
             }
         }
     }
    } 
    
 }    
}